Subject: RE: pthreads w/ cygwin32
From: [email-masked] (Sven Dietrich)

23 Feb 1998 18:53:08 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

At this point I would have to concede the discussion to the experts for
lack
of experience with running threads under CygWin...

S.

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * 
 * (408) 481-7289 (Voice)                  
 * (408) 481-2011 (Fax)
 */

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Sent: 	Monday, February 23, 1998 12:42 PM
> To: 	Sven Dietrich
> Cc: 	[email-masked]
> Subject: 	Re: pthreads w/ cygwin32
> 
> Sven Dietrich <[email-masked]> writes:
> 
> > 
> > 
> > I have looked at the Pthreads before. Why not try to port those
> > calls to NT's native threads? Those work.
> 
> pthreads was the first draft of the POSIX's user level threads
> standard.  Using the POSIX threads native to NT should work, but
> how do I do this within the cgywin32 development environment?
> 
> Re: cygwin32  not being thread safe--
> should this make a difference for user level threads?
> 
>                               tmk
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".